function romberg,
% Romberg-Quadratur:
for teil=1:2
    if teil==1
        F=inline('sin(x)');
        a=0; b=pi;
        Fe=2;
    elseif teil==2
        F=inline('1./(1+x.^2)');
        a=-2; b=2;
        Fe=2*atan(2);
    end;
    TT=zeros(12,1);
    for i=1:length(TT)
        n=2^(i-1);
        if (n>1)
            TT(i)=TT(i-1)/2+(b-a)*sum(F(a+(b-a)*(1:2:n-1)/n))/(n);
        else
            TT(i)=(b-a)*(F(a)+F(b))/2;
        end;
        for k=i-1:-1:1
            TT(k)=TT(k+1)+(TT(k+1)-TT(k))/(4^(i-k)-1);
        end;
        err3(i)=TT(1)-Fe;
        fprintf('%2d: %e\n',i,err3(i));
    end;    
    subplot(1,2,teil);
    e3=semilogy(abs(err3));
    title(char(F));
end;
